MPD 0.20.6

- Main Page
- Namespaces
- Data Structures
- Files

- Data Structures
- Class Hierarchy
- Data Fields

Public Member Functions
QueueListener Class Referenceabstract

`#include <Listener.hxx>`

Inheritance diagram for QueueListener:
[legend]

## Public Member Functions
virtual void | OnQueueModified ()=0
| Called after the queue has been modified. More...
virtual void | OnQueueOptionsChanged ()=0
| Called after a playback options have been changed. More...
virtual void | OnQueueSongStarted ()=0
| Called after the player has started playing a new song. More...

## Detailed Description

Definition at line 23 of file Listener.hxx.

## Member Function Documentation

virtual void QueueListener::OnQueueModified | ( |  | ) |
| pure virtual

Called after the queue has been modified.

virtual void QueueListener::OnQueueOptionsChanged | ( |  | ) |
| pure virtual

Called after a playback options have been changed.

virtual void QueueListener::OnQueueSongStarted | ( |  | ) |
| pure virtual

Called after the player has started playing a new song.

This gets called by playlist::SyncWithPlayer() after it has been notified by the player thread.

The documentation for this class was generated from the following file:

- queue/Listener.hxx